Loading...
Searching...
No Matches
cli.h File Reference

Integration layer between libconfig and CLI applications. More...

`#include <type_traits>`
`#include "fourdst/config/base.h"`
`#include "rfl.hpp"`
Include dependency graph for cli.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | fourdst::config::is_config_wrapper< T >
| Type trait to determine if a type is a Config wrapper. More...
struct | fourdst::config::is_config_wrapper< Config< T > >
| Specialization of `is_config_wrapper` for `Config<T>`. More...

## Namespaces

namespace | fourdst
namespace | fourdst::config

## Concepts

concept | fourdst::config::IsCLIApp
| Concept that defines the requirements for a CLI application class.

## Functions

template<typename T, typename CliApp>
void | fourdst::config::register_as_cli (T &config, CliApp &app, const std::string &prefix="")
| Registers configuration structure fields as CLI options.

## Detailed Description

Integration layer between libconfig and CLI applications.

This file contains utilities for automatically mapping C++ configuration structures to command-line arguments, primarily supporting the CLI11 library.